aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.travis.yml28
-rw-r--r--build.sh26
-rw-r--r--ci/globals.yaml2
-rw-r--r--docker/benchmarking/Dockerfile4
-rw-r--r--docker/components/Dockerfile2
-rw-r--r--docker/core/Dockerfile4
-rw-r--r--docker/features/Dockerfile4
-rw-r--r--docker/healthcheck/Dockerfile4
-rw-r--r--docker/smoke/Dockerfile4
-rw-r--r--docker/tempest/Dockerfile4
-rw-r--r--docker/vnf/Dockerfile4
-rw-r--r--docs/testing/user/configguide/configguide.rst18
-rw-r--r--tox.ini2
13 files changed, 53 insertions, 53 deletions
diff --git a/.travis.yml b/.travis.yml
index e4060757f..98bdddde5 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -24,8 +24,8 @@ jobs:
script: >
sudo manifest-tool push from-args \
--platforms linux/amd64 \
- --template ${DOCKER_USERNAME}/functest-core:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-core:latest
+ --template ${DOCKER_USERNAME}/functest-core:ARCH-hunter \
+ --target ${DOCKER_USERNAME}/functest-core:hunter
- stage: build functest-tempest images
script: sudo -E bash build.sh
env:
@@ -36,8 +36,8 @@ jobs:
script: >
sudo manifest-tool push from-args \
--platforms linux/amd64 \
- --template ${DOCKER_USERNAME}/functest-tempest:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-tempest:latest
+ --template ${DOCKER_USERNAME}/functest-tempest:ARCH-hunter \
+ --target ${DOCKER_USERNAME}/functest-tempest:hunter
- stage: build all functest images
script: sudo -E bash build.sh
env:
@@ -73,25 +73,25 @@ jobs:
script: >
sudo manifest-tool push from-args \
--platforms linux/amd64 \
- --template ${DOCKER_USERNAME}/functest-healthcheck:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-healthcheck:latest
+ --template ${DOCKER_USERNAME}/functest-healthcheck:ARCH-hunter \
+ --target ${DOCKER_USERNAME}/functest-healthcheck:hunter
- script: >
sudo manifest-tool push from-args \
--platforms linux/amd64 \
- --template ${DOCKER_USERNAME}/functest-smoke:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-smoke:latest
+ --template ${DOCKER_USERNAME}/functest-smoke:ARCH-hunter \
+ --target ${DOCKER_USERNAME}/functest-smoke:hunter
- script: >
sudo manifest-tool push from-args \
--platforms linux/amd64 \
- --template ${DOCKER_USERNAME}/functest-features:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-features:latest
+ --template ${DOCKER_USERNAME}/functest-features:ARCH-hunter \
+ --target ${DOCKER_USERNAME}/functest-features:hunter
- script: >
sudo manifest-tool push from-args \
--platforms linux/amd64 \
- --template ${DOCKER_USERNAME}/functest-components:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-components:latest
+ --template ${DOCKER_USERNAME}/functest-components:ARCH-hunter \
+ --target ${DOCKER_USERNAME}/functest-components:hunter
- script: >
sudo manifest-tool push from-args \
--platforms linux/amd64 \
- --template ${DOCKER_USERNAME}/functest-vnf:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-vnf:latest
+ --template ${DOCKER_USERNAME}/functest-vnf:ARCH-hunter \
+ --target ${DOCKER_USERNAME}/functest-vnf:hunter
diff --git a/build.sh b/build.sh
index c3bc57bf2..fae5ebd34 100644
--- a/build.sh
+++ b/build.sh
@@ -14,40 +14,40 @@ docker/components \
docker/vnf"}
arm64_dirs=${arm64_dirs-${amd64_dirs}}
build_opts=(--pull=true --no-cache --force-rm=true \
- --build-arg OPENSTACK_TAG="${OPENSTACK_TAG:-stable/queens}" \
+ --build-arg OPENSTACK_TAG="${OPENSTACK_TAG:-stable/rocky}" \
--build-arg RALLY_OPENSTACK_TAG="${RALLY_OPENSTACK_TAG:-1.2.0}")
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-core|${repo}/functest-core:amd64-latest|g" {} +
+ -e "s|opnfv/functest-core:hunter|${repo}/functest-core:amd64-hunter|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-tempest|${repo}/functest-tempest:amd64-latest|g" {} +
+ -e "s|opnfv/functest-tempest:hunter|${repo}/functest-tempest:amd64-hunter|g" {} +
for dir in ${amd64_dirs}; do
(cd "${dir}" &&
docker build "${build_opts[@]}" \
- -t "${repo}/functest-${dir##**/}:amd64-latest" .)
- docker push "${repo}/functest-${dir##**/}:amd64-latest"
+ -t "${repo}/functest-${dir##**/}:amd64-hunter" .)
+ docker push "${repo}/functest-${dir##**/}:amd64-hunter"
[ "${dir}" != "docker/core" ] &&
- (docker rmi "${repo}/functest-${dir##**/}:amd64-latest" || true)
+ (docker rmi "${repo}/functest-${dir##**/}:amd64-hunter" || true)
done
[ ! -z "${amd64_dirs}" ] &&
- (docker rmi "${repo}/functest-core:amd64-latest" alpine:3.8 || true)
+ (docker rmi "${repo}/functest-core:amd64-hunter" alpine:3.8 || true)
find . -name Dockerfile -exec git checkout {} +
find . -name Dockerfile -exec sed -i \
-e "s|alpine:3.8|multiarch/alpine:arm64-v3.8|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-core|${repo}/functest-core:arm64-latest|g" {} +
+ -e "s|opnfv/functest-core:hunter|${repo}/functest-core:arm64-hunter|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-tempest|${repo}/functest-tempest:arm64-latest|g" {} +
+ -e "s|opnfv/functest-tempest:hunter|${repo}/functest-tempest:arm64-hunter|g" {} +
for dir in ${arm64_dirs}; do
(cd "${dir}" && docker build "${build_opts[@]}" \
- -t "${repo}/functest-${dir##**/}:arm64-latest" .)
- docker push "${repo}/functest-${dir##**/}:arm64-latest"
+ -t "${repo}/functest-${dir##**/}:arm64-hunter" .)
+ docker push "${repo}/functest-${dir##**/}:arm64-hunter"
[ "${dir}" != "docker/core" ] &&
- (docker rmi "${repo}/functest-${dir##**/}:arm64-latest" || true)
+ (docker rmi "${repo}/functest-${dir##**/}:arm64-hunter" || true)
done
[ ! -z "${arm64_dirs}" ] &&
- (docker rmi "${repo}/functest-core:arm64-latest" \
+ (docker rmi "${repo}/functest-core:arm64-hunter" \
multiarch/alpine:arm64-v3.8 || true)
find . -name Dockerfile -exec git checkout {} +
diff --git a/ci/globals.yaml b/ci/globals.yaml
index 4be1b37a2..bbb844633 100644
--- a/ci/globals.yaml
+++ b/ci/globals.yaml
@@ -3,7 +3,7 @@
name: global
repo: 'opnfv'
branch: 'master'
- tag: 'latest'
+ tag: 'hunter'
- defaults:
name: functest-defaults
diff --git a/docker/benchmarking/Dockerfile b/docker/benchmarking/Dockerfile
index 7b98eade9..9982a369c 100644
--- a/docker/benchmarking/Dockerfile
+++ b/docker/benchmarking/Dockerfile
@@ -1,6 +1,6 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:hunter
-ARG BRANCH=master
+ARG BRANCH=stable/hunter
ARG OPENSTACK_TAG=stable/queens
ARG VMTP_TAG=99b261ccccc2f8a08ee2d8fca9f54ef9d69899d7
diff --git a/docker/components/Dockerfile b/docker/components/Dockerfile
index 1153e9d1a..db0ffc8e0 100644
--- a/docker/components/Dockerfile
+++ b/docker/components/Dockerfile
@@ -1,4 +1,4 @@
-FROM opnfv/functest-tempest
+FROM opnfv/functest-tempest:hunter
COPY testcases.yaml /usr/lib/python2.7/site-packages/xtesting/ci/testcases.yaml
CMD ["run_tests", "-t", "all"]
diff --git a/docker/core/Dockerfile b/docker/core/Dockerfile
index c1e7ede03..b777075f8 100644
--- a/docker/core/Dockerfile
+++ b/docker/core/Dockerfile
@@ -1,7 +1,7 @@
FROM alpine:3.8
-ARG BRANCH=master
-ARG OPENSTACK_TAG=stable/queens
+ARG BRANCH=stable/hunter
+ARG OPENSTACK_TAG=stable/rocky
ARG PIP_TAG=18.0
RUN apk --no-cache add --update \
diff --git a/docker/features/Dockerfile b/docker/features/Dockerfile
index 99de1eda5..6b81a87d7 100644
--- a/docker/features/Dockerfile
+++ b/docker/features/Dockerfile
@@ -1,6 +1,6 @@
-FROM opnfv/functest-tempest
+FROM opnfv/functest-tempest:hunter
-ARG BRANCH=master
+ARG BRANCH=stable/hunter
ARG OPENSTACK_TAG=stable/queens
ARG FDS_TAG=master
diff --git a/docker/healthcheck/Dockerfile b/docker/healthcheck/Dockerfile
index 4a1c255b3..a69a94cb1 100644
--- a/docker/healthcheck/Dockerfile
+++ b/docker/healthcheck/Dockerfile
@@ -1,6 +1,6 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:hunter
-ARG BRANCH=master
+ARG BRANCH=stable/hunter
ARG OPENSTACK_TAG=stable/queens
ARG ODL_TAG=85448c9d97b89989488e675b29b38ac42d8674e4
diff --git a/docker/smoke/Dockerfile b/docker/smoke/Dockerfile
index c405330a6..dc0fe43a4 100644
--- a/docker/smoke/Dockerfile
+++ b/docker/smoke/Dockerfile
@@ -1,6 +1,6 @@
-FROM opnfv/functest-tempest
+FROM opnfv/functest-tempest:hunter
-ARG BRANCH=master
+ARG BRANCH=stable/hunter
ARG OPENSTACK_TAG=stable/queens
ARG REFSTACK_TARGET=2018.02
ARG PATROLE_TAG=0.3.0
diff --git a/docker/tempest/Dockerfile b/docker/tempest/Dockerfile
index 0cc947939..a683767d6 100644
--- a/docker/tempest/Dockerfile
+++ b/docker/tempest/Dockerfile
@@ -1,6 +1,6 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:hunter
-ARG BRANCH=master
+ARG BRANCH=stable/hunter
ARG OPENSTACK_TAG=stable/queens
ARG RALLY_TAG=1.1.0
ARG RALLY_OPENSTACK_TAG=1.2.0
diff --git a/docker/vnf/Dockerfile b/docker/vnf/Dockerfile
index 7f7275894..2fc928ca2 100644
--- a/docker/vnf/Dockerfile
+++ b/docker/vnf/Dockerfile
@@ -1,6 +1,6 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:hunter
-ARG BRANCH=master
+ARG BRANCH=stable/hunter
ARG OPENSTACK_TAG=stable/queens
ARG VIMS_TEST_TAG=release-129
ARG QUAFF_TAG=59213d6d8ee29433552bb75f505cdc96b0b18909
diff --git a/docs/testing/user/configguide/configguide.rst b/docs/testing/user/configguide/configguide.rst
index 07f0a1681..bbed8f8e1 100644
--- a/docs/testing/user/configguide/configguide.rst
+++ b/docs/testing/user/configguide/configguide.rst
@@ -70,7 +70,7 @@ Run healthcheck suite::
sudo docker run --env-file env \
-v $(pwd)/openstack.creds:/home/opnfv/functest/conf/env_file \
-v $(pwd)/images:/home/opnfv/functest/images \
- opnfv/functest-healthcheck
+ opnfv/functest-healthcheck:hunter
Results shall be displayed as follows::
@@ -102,7 +102,7 @@ Run smoke suite::
sudo docker run --env-file env \
-v $(pwd)/openstack.creds:/home/opnfv/functest/conf/env_file \
-v $(pwd)/images:/home/opnfv/functest/images \
- opnfv/functest-smoke
+ opnfv/functest-smoke:hunter
Results shall be displayed as follows::
@@ -132,7 +132,7 @@ Run benchmarking suite::
sudo docker run --env-file env \
-v $(pwd)/openstack.creds:/home/opnfv/functest/conf/env_file \
-v $(pwd)/images:/home/opnfv/functest/images \
- opnfv/functest-benchmarking
+ opnfv/functest-benchmarking:hunter
Results shall be displayed as follows::
@@ -154,7 +154,7 @@ Run features suite::
sudo docker run --env-file env \
-v $(pwd)/openstack.creds:/home/opnfv/functest/conf/env_file \
-v $(pwd)/images:/home/opnfv/functest/images \
- opnfv/functest-features
+ opnfv/functest-features:hunter
Results shall be displayed as follows::
@@ -181,7 +181,7 @@ Run components suite::
sudo docker run --env-file env \
-v $(pwd)/openstack.creds:/home/opnfv/functest/conf/env_file \
-v $(pwd)/images:/home/opnfv/functest/images \
- opnfv/functest-components
+ opnfv/functest-components:hunter
Results shall be displayed as follows::
@@ -201,7 +201,7 @@ Run vnf suite::
sudo docker run --env-file env \
-v $(pwd)/openstack.creds:/home/opnfv/functest/conf/env_file \
-v $(pwd)/images:/home/opnfv/functest/images \
- opnfv/functest-vnf
+ opnfv/functest-vnf:hunter
Results shall be displayed as follows::
@@ -238,7 +238,7 @@ Run healthcheck suite::
sudo docker run -it --env-file env \
-v $(pwd)/config:/root/.kube/config \
- opnfv/functest-kubernetes-healthcheck
+ opnfv/functest-kubernetes-healthcheck:hunter
A config file in the current dir 'config' is also required, which should be
volume mapped to ~/.kube/config inside kubernetes container.
@@ -258,7 +258,7 @@ Run smoke suite::
sudo docker run -it --env-file env \
-v $(pwd)/config:/root/.kube/config \
- opnfv/functest-kubernetes-smoke
+ opnfv/functest-kubernetes-smoke:hunter
Results shall be displayed as follows::
@@ -275,7 +275,7 @@ Run features suite::
sudo docker run -it --env-file env \
-v $(pwd)/config:/root/.kube/config \
- opnfv/functest-kubernetes-features
+ opnfv/functest-kubernetes-features:hunter
Results shall be displayed as follows::
diff --git a/tox.ini b/tox.ini
index ca78a0c2d..a01770d6c 100644
--- a/tox.ini
+++ b/tox.ini
@@ -5,7 +5,7 @@ envlist = docs,pep8,pylint,yamllint,bashate,py35,py27,perm,cover
usedevelop = True
deps =
-c{toxinidir}/upper-constraints.txt
- -c{env:UPPER_CONSTRAINTS_FILE:https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=stable/queens}
+ -c{env:UPPER_CONSTRAINTS_FILE:https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=stable/rocky}
-r{toxinidir}/requirements.txt
-r{toxinidir}/test-requirements.txt
install_command = pip install {opts} {packages}